SizeBasedTriggeringPolicy Class Reference

SizeBasedTriggeringPolicy looks at size of the file being currently written to. More...

Inheritance diagram for SizeBasedTriggeringPolicy:

## Public Member Functions

| SizeBasedTriggeringPolicy ()
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)
| Determines if a rollover may be appropriate at this time. More...
size_t | getMaxFileSize ()
void | setMaxFileSize (size_t l)
void | activateOptions (log4cxx::helpers::Pool &)
| Activate the options that were previously set with calls to option setters. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from TriggeringPolicy
virtual | ~TriggeringPolicy ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Protected Attributes

size_t | maxFileSize
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

SizeBasedTriggeringPolicy looks at size of the file being currently written to.

## Constructor & Destructor Documentation

## SizeBasedTriggeringPolicy()

SizeBasedTriggeringPolicy | ( |  | ) |

## Member Function Documentation

## activateOptions()

void activateOptions | ( | log4cxx::helpers::Pool & | p | ) |

virtual

Activate the options that were previously set with calls to option setters.

This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set.

For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set.

Implements OptionHandler.

## getMaxFileSize()

size_t getMaxFileSize | ( |  | ) |

## isTriggeringEvent()

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) |  |

virtual

Determines if a rollover may be appropriate at this time.

If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted.

Parameters

  appender | A reference to the appender.
  event | A reference to the currently event.
  filename | The filename for the currently active log file.
  fileLength | Length of the file in bytes.

Returns
  true if a rollover should occur.

Implements TriggeringPolicy.

## setMaxFileSize()

void setMaxFileSize | ( | size_t | l | ) |

## setOption()

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Implements OptionHandler.

## Member Data Documentation

## maxFileSize

size_t maxFileSize

protected

The documentation for this class was generated from the following file:

- sizebasedtriggeringpolicy.h